## python-pyxs 0.4.2~git20190115.97f14313

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex latexpdf changes linkcheck doctest

all: html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf generated/*
	-rm -rf auto_examples/*

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hmmlearn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hmmlearn.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pyxs (0.4.2~git20190115.97f14313-6) unstable; urgency=medium

  * Fix FTBFS: Port to Current sphinx. (Closes: #1090159)
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Benjamin Hof <vexel@vexel.net>  Thu, 19 Dec 2024 20:01:07 +0100

python-pyxs (0.4.2~git20190115.97f14313-5) unstable; urgency=medium

  * Point watch file to current release location.
  * Bump Standards-Version to 4.6.0.1, no changes needed.
  * Bump copyright years.

 -- Benjamin Hof <vexel@vexel.net>  Mon, 31 Jan 2022 17:44:58 +0100

python-pyxs (0.4.2~git20190115.97f14313-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Add upstream metadata.

 -- Benjamin Hof <vexel@vexel.net>  Sat, 05 Dec 2020 20:48:20 +0100

python-pyxs (0.4.2~git20190115.97f14313-3) unstable; urgency=medium

  * Fix typo in Suggests.
  * Make python-pyxs-doc Multi-Arch: foreign.
  * Fix links in documentation. (Closes: #966495)

 -- Benjamin Hof <vexel@vexel.net>  Thu, 06 Aug 2020 00:32:33 +0200

python-pyxs (0.4.2~git20190115.97f14313-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 26 Jul 2020 09:39:25 +0200

python-pyxs (0.4.2~git20190115.97f14313-1) unstable; urgency=medium

  * Initial packaging. (Closes: #692516)

 -- Benjamin Hof <vexel@vexel.net>  Wed, 15 Jul 2020 20:44:55 +0200

=== debian/control ===
Source: python-pyxs
Maintainer: Benjamin Hof <vexel@vexel.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (=13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pytest-runner,
               python3-docutils,
               python3-sphinx,
Standards-Version: 4.7.0
Homepage: https://pyxs.readthedocs.org
Vcs-Browser: https://salsa.debian.org/debian/pyxs
Vcs-Git: https://salsa.debian.org/debian/pyxs.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyxs
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Suggests: python-pyxs-doc
Description: Pure Python XenStore client implementation
 pyxs is a pure Python XenStore client implementation, which covers all of the
 libxs features and adds some nice Pythonic sugar on top.
 .
 pyxs works over a Unix socket or XenBus,
 has a clean and well-documented API,
 is written in easy to understand Python,
 and can be used with gevent or eventlet.
 .
 This package installs the library for Python 3.

Package: python-pyxs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Pure Python XenStore client implementation (documentation)
 pyxs is a pure Python XenStore client implementation, which covers all of the
 libxs features and adds some nice Pythonic sugar on top.
 .
 pyxs works over a Unix socket or XenBus,
 has a clean and well-documented API,
 is written in easy to understand Python,
 and can be used with gevent or eventlet.
 .
 This package installs the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=pyxs

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.eggs
	rm -rf $(CURDIR)/pyxs.egg-info

# alert on network access during sphinx build
override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/(\d\S+)\.tar\.gz/pyxs-$1\.tar\.gz/, pgpmode=none" \
  https://github.com/selectel/pyxs/tags .*/(\d\S+)\.tar\.gz
